#include "MQWidget.h"
#include "CMQObject.h"
#include "FixVertex.h"

#ifndef _UIWindowDefine
#define _UIWindowDefine

class FixVertexWindow : public MQWindow
{
public:
	FixVertexWindow(FixVertex *plugin, MQWindowBase& parent);
	~FixVertexWindow();

	void clear();
	FixVertex *m_pPlugin;
private:
	MQButton *m_buttonfix[STORENUM];

	BOOL OnHide(MQWidgetBase *sender, MQDocument doc);

	BOOL fix(MQWidgetBase *sender, MQDocument doc, MQWidgetMouseParam& param);
	BOOL mode(MQWidgetBase *sender, MQDocument doc, MQWidgetMouseParam& param);

	BOOL callDialog(int i, int &mode, const POINT &pos);

};

class FixVertexModeDialog : public MQDialog
{
public:
	FixVertexModeDialog(MQWindowBase& parent, FixVertex *plugin, int mode);
	~FixVertexModeDialog() {}

	FixVertex *m_pPlugin;
private:
	MQButton *m_buttonX;
	MQButton *m_buttonY;
	MQButton *m_buttonZ;

	BOOL clickmode(MQWidgetBase *sender, MQDocument doc, MQWidgetMouseParam &param);
	BOOL clickother(MQWidgetBase *sender, MQDocument doc, MQWidgetMouseParam &param);
	BOOL keyevent(MQWidgetBase *sender, MQDocument doc, MQWidgetKeyParam& param);

	friend class FixVertexWindow;
};
#endif
